.BrandPage {
    @include before-desktop {
        margin-top: var(--header-nav-height);
    }

    @include desktop {
        margin-top: calc(var(--header-total-height) - 10px);
    }

    &-Wrapper {
        @include after-mobile {
            display: block;
            padding-top: 0;
        }

        @include mobile {
            padding: 0 1rem;
        }
    }

    &-Miscellaneous {
        display: grid;
        min-height: unset;
        grid-template-columns: 50% 50%;
        align-items: center;
        transform: translateY(0);
        z-index: 1;
        transition: transform 200ms cubic-bezier(0.47, 0, 0.745, 0.715);

        @include mobile {
            width: 100%;
            border-bottom: 1px solid var(--primary-divider-color);
            position: initial;
            top: var(--header-total-height);
            left: 0;
            z-index: 90;
            background: #fff;
        }

        .hideOnScroll & {
            @include mobile {
                transform: translateY(-100%);
            }
        }

        > * {
            @include mobile {
                padding-right: 1rem;
                padding-left: 1rem;
            }
        }
    }

    &-Bottom_background_Grey {
        background-color: $grey-5-color;

        .ContentWrapper {
            padding: 5rem 40px 12rem;

            @include mobile {
                padding: 31px 16px;
            }
        }
    }

    &-Filter {
        min-height: 50px;
        grid-column: 2;
        font-size: 14px;
        font-weight: normal;
        text-align: right;
        text-transform: none;

        @include mobile {
            padding-right: 0;
        }
        @include desktop {
            display: none;
        }
        &::before,
        &::after {
            position: absolute;
            top: calc(50% - 5px);
            left: calc(90% - 68px);
            content: '';
            clip-path: none;
        }

        &::before {
            width: 24px;
            height: 22px;
            position: absolute;
            top: 14px;
            right: 45px;
            left: unset;
            content: url('../../style/images/filter.svg');
        }

        &::after {
            display: none;
        }
    }

    &-ProductListWrapper {
        @include mobile {
            padding-top: 0;
        }
    }

    .CategoryProductList {
        @include after-mobile {
            min-height: auto;
        }
    }

    &-ItemsCount {
        padding: 0;
        white-space: nowrap;

        @include mobile {
            font-size: 14px;
        }
    }

    &-DetailsWrapper {
        display: flex;
        margin-bottom: 22px;
        align-items: flex-end;

        @include mobile {
            margin-bottom: 10px;
            justify-content: space-between;
        }
    }

    &-Sneakerstudio {
        margin-bottom: 80px;

        &__Logo {
            width: 276px;
            margin-bottom: 45px;

            .Image_ratio_square {
                padding-bottom: 21%;
            }
        }

        &__Container {
            display: grid;
            grid-template-columns: 1fr;
            column-gap: 48px;
            row-gap: 24px;

            @include desktop {
                column-gap: 96px;
                row-gap: 48px;
            }

            @include after-mobile {
                grid-template-columns: 1fr 1fr;
            }
        }

        &__Content {
            p:last-child {
                color: #7a7a7a;
            }
        }
    }
}

.BrandNewProducts {
    margin-top: 3rem;

    @include after-mobile {
        margin-top: 6.5rem;
    }

    &-Header {
        display: flex;
        width: 100%;
        margin: 2rem 0;
        position: static;
        align-items: flex-end;
        justify-content: space-between;

        @include after-mobile {
            margin: 3rem 0;
        }
    }

    &-Title {
        font-size: 28px;
        font-weight: normal;
        text-transform: uppercase;
        line-height: 32px;

        @include after-mobile {
            font-size: 32px;
            line-height: 48px;
        }
    }

    &-CategoryLink {
        position: relative;
        font-size: 12px;
        font-weight: normal;
        text-decoration: underline;
        line-height: 18px;

        @include mobile {
            position: absolute;
            right: 0;
            bottom: -20px;
        }

        &:hover {
            font-weight: bold;
        }

        @include after-mobile {
            padding-bottom: 8px;
            bottom: -8px;
            font-size: 14px;
            font-weight: 500;
            text-decoration: none;
            line-height: 24px;

            &::after {
                display: block;
                width: 100%;
                height: 1px;
                position: absolute;
                bottom: 0;
                background-color: $black;
                content: '';
            }
        }
    }

    .ProductListWidget-Carousel {
        @include after-mobile {
            margin-left: 0;
        }
    }
}
